Bug 278761 - Revisor won't start
Revisor won't start
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Jonathan Steffan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 12:17 EDT by Espen Stefansen
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 03:40:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Espen Stefansen 2007-09-05 12:17:58 EDT
Description of problem:
Revisor won't start

Version-Release number of selected component (if applicable):
revisor-2.0.4.3-1rc6.fc8

How reproducible:


Steps to Reproduce:
1. start revisor
2.
3.
  
Actual results:


Expected results:


Additional info:
when starting revisor on the commandline, i get this error:

Traceback (most recent call last):
  File "/usr/sbin/revisor", line 276, in <module>
    import revisor.gui
  File "/usr/lib/python2.5/site-packages/revisor/gui.py", line 46, in <module>
    from revisor import lm_basic
  File "/usr/lib/python2.5/site-packages/revisor/lm_basic.py", line 326
    self.cfg.ksobj._lang_lang() = self.langDict[self.lang_combo.get_active_text()]
SyntaxError: can't assign to function call

I've been able to bypass this problem by changing the affected line to the
following:
self.cfg.ksobj._lang_lang(self.langDict[self.lang_combo.get_active_text()])

But then i get this traceback later when whecking the repositories:

Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/revisor/load_kickstart.py", line 198,
in button_forward_clicked
    self.gui.displayReadyScreen()
  File "/usr/lib/python2.5/site-packages/revisor/gui.py", line 273, in
displayReadyScreen
    self.ReadyScreen = ready_screen.ReadyScreen(self)
  File "/usr/lib/python2.5/site-packages/revisor/ready_screen.py", line 89, in
__init__
    if not self.base.setup_yum(pbar):
TypeError: setup_yum() takes exactly 1 argument (2 given)
Comment 1 Espen Stefansen 2007-09-08 10:03:00 EDT
In the newest revisor in koji (revisor-2.0.4.3-7.fc8), revisor works. :)
Comment 2 Jonathan Steffan 2007-10-09 03:40:57 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.